#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int a[n];
    int b[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>b[i];
    }
    int res[m]={0};
    int l,r,x;
    for(int i=0;i<m;i++)
    {
        cin>>l>>r>>x;
        for(int j=l-1;j<=r-1;j++)
        {
            if(x>=a[j] && x<=b[j])
            {
                res[i]++;
            }
        }
    }
    for(int i=0;i<m;i++)
    {
        cout<<res[i]<<endl;
    }
    return 0;
}